# List summary statements Lists summary statements. Endpoint: GET /object-query/summarystatements Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Enum: "endDate", "statementDate", "statementNumber" - `expand[]` (array) Allows you to expand responses by including related object information in a single call. - `filter[]` (array) A case-insensitive filter on the list. Enum: "accountId", "id", "startDate", "statementDate", "statementNumber", "statementRunId", "status", "emailStatus" - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `accountId` (string) The unique identifier for the statement account. - `autoEmailEnabled` (boolean) Indicates whether to send an email after a statement is generated. Acceptable values are true or false. If unspecified, the default value is false. - `description` (string) A text description of the statement run. - `batchName` (string,null) Name of the batch. - `billCycleDay` (string,null) The bill cycle day for filtering accounts, with values ranging from '01' to '31'. - `dateRangeType` (string) The date range for the statement. If PreviousThreeCalendarMonth or PreviousOneCalendarMonth is selected, the start and end dates are automatically calculated. For example, if PreviousThreeCalendarMonth is chosen today (2024-08-20), the dates would be 2024-05-01 to 2024-07-31. Enum: "Custom", "PreviousThreeCalendarMonth", "PreviousOneCalendarMonth" - `runType` (string) The scheduled type of the run which can either be AdHoc or Scheduled. Currently, only AdHoc is supported. Enum: "AdHoc" - `createdById` (string) The ID of the user who created the statement. - `createdDate` (string) The date and time when the statement was created. - `deleted` (string) Indicates whether the statement has been deleted. - `endDate` (string) The end date of the statement in the format YYYY-MM-DD. - `fileId` (string) The ID associated with the file generated for the statement. - `id` (string) The unique identifier of the statement. - `startDate` (string) The start date of the statement in the format YYYY-MM-DD. - `emailStatus` (string) The email status of the statement. - `statementDate` (string) The date of the statement in the format YYYY-MM-DD. - `statementNumber` (string) The unique number assigned to the statement. - `statementRunNumber` (string) The number of the related statement run. - `statementRunId` (string) The ID of the related statement run. - `status` (string) The current status of the statement. Enum: "Pending", "Processing", "Completed", "Error", "Terminated" - `targetAccountCategory` (string) The method used to filter accounts. Enum: "SingleAccount", "AllAccounts", "AccountsWithOpenInvoices", "AccountsWithOpenBalances", "AccountsWithoutInvoices", "AccountsWithoutInvoicesAndOpenBalances" - `updatedById` (string) The ID of the user who last updated the statement. - `updatedDate` (string) The date and time when the statement was last updated. - `errorCategory` (string) The category of error when the operation fails. - `errorMessage` (string) The specific error message when the operation fails. - `success` (boolean) Indicates whether the call succeeded. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.